Update workspace
curl --request PUT \
--url https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Product Development",
"homepageUrl": "https://product.example.com",
"logoUrl": "https://product.example.com/logo.png",
"missionStatement": "Develop innovative products that solve real customer problems",
"description": "This workspace focuses on our core product development initiatives, including roadmap planning, feature development, and product improvements.",
"status": "Initializing"
}
'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}"
payload = {
"name": "Product Development",
"homepageUrl": "https://product.example.com",
"logoUrl": "https://product.example.com/logo.png",
"missionStatement": "Develop innovative products that solve real customer problems",
"description": "This workspace focuses on our core product development initiatives, including roadmap planning, feature development, and product improvements.",
"status": "Initializing"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Product Development',
homepageUrl: 'https://product.example.com',
logoUrl: 'https://product.example.com/logo.png',
missionStatement: 'Develop innovative products that solve real customer problems',
description: 'This workspace focuses on our core product development initiatives, including roadmap planning, feature development, and product improvements.',
status: 'Initializing'
})
};
fetch('https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "c0e195d9-b918-4a3a-bd8b-f730361d044f",
"name": "Product Development",
"missionStatement": "Develop innovative products that solve real customer problems",
"createdAt": "2025-03-26T22:35:46Z",
"updatedAt": "2025-03-26T22:35:46Z",
"status": "Initializing",
"homepageUrl": "https://product.example.com",
"logoUrl": "https://product.example.com/logo.png",
"description": "This workspace focuses on our core product development initiatives, including roadmap planning, feature development, and product improvements."
}
}{
"error": {
"code": "INVALID_REQUEST",
"description": "One or more fields are invalid",
"fields": [
"title",
"description"
],
"validationErrors": {
"invalidFields": {
"title": {
"type": "too_small",
"message": "Title must be at least 3 characters long",
"path": [
"title"
]
},
"deadline": {
"type": "invalid_date",
"message": "Deadline must be a valid date in the future",
"path": [
"deadline"
]
}
}
}
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthenticated"
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthorised"
}
}{
"error": {
"code": "NOT_FOUND",
"description": "The requested resource was not found"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"description": "An unexpected error occurred on the server"
}
}Workspaces
Update workspace
Updates a specific workspace by ID
PUT
/
organisations
/
{orgId}
/
workspaces
/
{workspaceId}
Update workspace
Authorizations
JWT authentication for organization-scoped endpoints.
Body
application/json
Request schema for updating a workspace
Name of the workspace
Example:
"Product Development"
URL to the workspace's homepage
Example:
"https://product.example.com"
URL to the workspace's logo
Example:
"https://product.example.com/logo.png"
Mission statement for the workspace
Example:
"Develop innovative products that solve real customer problems"
Detailed description of the workspace
Example:
"This workspace focuses on our core product development initiatives, including roadmap planning, feature development, and product improvements."
Status of the workspace
Available options:
Initializing, OnboardingDeepResearch, OnboardingConsiderWorkspace, OnboardingConsiderOpportunities, OnboardingConsiderOpportunitiesToOutcomes, OnboardingConsiderSolutionGeneration, OnboardingConsiderSolutionsToBuild, OnboardingSelectSolutionsToBuild, OnboardingMapSolutionsToRoadmap, Active, Inactive Example:
"Initializing"
Response
Workspace updated successfully
Response containing a single workspace
Workspace data
Show child attributes
Show child attributes
⌘I